DECLARE SUB leg ()
DECLARE SUB noleg ()
DECLARE SUB nosticks ()
DECLARE SUB sticks ()
DECLARE SUB drummer ()
DECLARE SUB arm ()
DECLARE SUB bassman ()
DECLARE SUB mouth ()
DECLARE SUB mouth1 ()
DECLARE SUB mouth2 ()
DECLARE SUB mouth3 ()
DECLARE SUB mouth4 ()
DECLARE SUB mouth5 ()
DECLARE SUB singer ()
DECLARE SUB blackarms ()
DECLARE SUB armsleft ()
DECLARE SUB blackleft ()
DECLARE SUB armsright ()
DECLARE SUB man ()
DECLARE SUB harmonica ()
DECLARE SUB johnny ()
DECLARE SUB piano ()
DECLARE SUB drums ()
DECLARE SUB bass ()
DECLARE SUB background ()
SCREEN 12
CALL background
CALL bassman
CALL bass
CALL arm
CALL drummer
CALL drums
CALL piano
CALL harmonica
CALL man
CALL singer
CALL johnny

SUB arm
LINE STEP(20, -35)-STEP(-5, -15), 2
LINE STEP(-10, 2)-STEP(-10, 15), 2
LINE STEP(0, 0)-STEP(15, 20), 2
END SUB

SUB armsleft
x% = 0
y% = 427

FOR j% = 1 TO 2

        FOR i% = 1 TO 10
        LINE (x%, y%)-STEP(-10, -10), 2
        LINE STEP(30, 0)-STEP(10, 10), 2
        x% = x% + 65

        NEXT i%

y% = y% + 40
x% = 32

NEXT j%


END SUB

SUB armsright
x% = 0
y% = 427

FOR j% = 1 TO 2

        FOR i% = 1 TO 10
        LINE (x%, y%)-STEP(10, -10), 2
        LINE STEP(30, 0)-STEP(-10, 10), 2
        x% = x% + 65

        NEXT i%

y% = y% + 40
x% = 32

NEXT j%


END SUB

SUB background

LINE (0, 300)-(640, 300), 6
PAINT (1, 1), 4, 6

CIRCLE (300, 150), 107, 14
PAINT (300, 150), 14

REM ****************************** Horizontal lines *********************

y% = 10

FOR i% = 1 TO 30

        LINE (0, y%)-(640, y%), 0
        y% = y% + 10

NEXT i%

REM *********************************** vertical lines 1 *************************

y% = 0

FOR j% = 1 TO 15

x% = 10
y% = y% + 10

FOR i% = 1 TO 32

        LINE (x%, y%)-STEP(0, 10), 0
        LINE STEP(20, -10)-STEP(0, 0), 0
        x% = x% + 20

NEXT i%

y% = y% + 10

NEXT j%

REM *********************************** vertical lines 2 ********************


x1% = 0
y1% = -10

FOR j% = 1 TO 15

x1% = 0
y1% = y1% + 10

FOR i% = 1 TO 32

        LINE (x1%, y1%)-STEP(0, 10), 0
        LINE STEP(20, -10)-STEP(0, 0), 0
        x1% = x1% + 20

NEXT i%

y1% = y1% + 10

NEXT j%

LINE (0, 380)-(640, 380), 7
LINE (0, 300)-(640, 300), 7
PAINT (300, 350), 6, 7

x% = -30
x1% = 50

FOR i% = 1 TO 25

        LINE (x%, 300)-STEP(x1%, 80), 7
        x1% = x1% - 4
        x% = x% + 30
       
NEXT i%

END SUB

SUB bass
CIRCLE (50, 260), 30, 12, 0, 3.14
CIRCLE (75, 260), 5, 12, 0, 3.14
CIRCLE (25, 260), 4, 12, 0, 3.14
CIRCLE (50, 310), 30, 12, 3.14, 0
CIRCLE (-7, 276), 40, 12, 5.9, .4
CIRCLE (107, 275), 40, 12, 2.73, 3.55
CIRCLE (30, 310), 20, 12, 1.5, 3.14, 2
CIRCLE (70, 310), 20, 12, 0, 1.5, 2
PAINT (72, 320), 15, 12
PAINT (72, 320), 6, 12
LINE (45, 280)-(55, 150), 6, BF
LINE (45, 280)-(55, 150), 12, B
LINE (46, 280)-STEP(9, 0), 6
LINE (45, 232)-(45, 280), 6
LINE (55, 232)-(55, 280), 6

x% = 47

FOR i% = 1 TO 4

        LINE (x%, 151)-(x%, 337), 0
        x% = x% + 2

NEXT i%

CIRCLE (65, 310), 10, , 1.57, 4.71, 2
CIRCLE (35, 310), 10, , 4.71, 1.57, 2

CIRCLE (62, 248), 2, , 1.57, 4.71 'right top
CIRCLE (37, 248), 2, , 1.57, 4.71  'left top
CIRCLE (62, 252), 2, , 4.71, 1.57 'right bottom
CIRCLE (37, 252), 2, , 4.71, 1.57  'left bottom


END SUB

SUB bassman
CIRCLE (43, 170), 17, 12
PAINT (43, 170), 12, 12
LINE STEP(0, 17)-STEP(0, 70), 2
LINE STEP(-15, 0)-STEP(30, 0), 2
CIRCLE (37, 165), 2, 0
CIRCLE STEP(10, 0), 2, 0
LINE STEP(-5, 5)-STEP(-3, 5), 0
LINE STEP(0, 0)-STEP(3, 0), 0
CIRCLE STEP(0, 4), 4, 4, 3.14, 0




END SUB

SUB blackarms
x% = 0
y% = 427

FOR j% = 1 TO 2

        FOR i% = 1 TO 10
        LINE (x%, y%)-STEP(10, -10), 0
        LINE STEP(30, 0)-STEP(-10, 10), 0
        x% = x% + 65

        NEXT i%

y% = y% + 40
x% = 32

NEXT j%

END SUB

SUB blackleft
x% = 0
y% = 427

FOR j% = 1 TO 2

        FOR i% = 1 TO 10
        LINE (x%, y%)-STEP(-10, -10), 0
        LINE STEP(30, 0)-STEP(10, 10), 0
        x% = x% + 65

        NEXT i%

y% = y% + 40
x% = 32

NEXT j%

END SUB

SUB drummer
CIRCLE (540, 200), 17, 12
PAINT (540, 200), 12, 12
LINE STEP(0, 17)-STEP(0, 70), 2
LINE STEP(-15, 0)-STEP(30, 0), 2
LINE STEP(0, 0)-STEP(0, 40), 2
LINE STEP(0, 0)-STEP(5, 0), 2
LINE STEP(-5, 0)-STEP(0, -40), 2
LINE STEP(-30, 0)-STEP(0, 40), 2
LINE STEP(0, 0)-STEP(-5, 0), 2
LINE STEP(5, 0)-STEP(0, -40), 2
LINE STEP(15, 0)-STEP(0, -60), 2
LINE STEP(0, 0)-STEP(-20, 10), 2
LINE STEP(0, 0)-STEP(5, 10), 2
LINE STEP(0, 0)-STEP(-5, -10), 2
LINE STEP(20, -10)-STEP(20, 10), 2
LINE STEP(0, 0)-STEP(-5, 10), 2
CIRCLE (535, 200), 2, 0
PAINT (535, 200), 0, 0
CIRCLE STEP(10, 0), 2, 0
PAINT (545, 200), 0, 0
LINE STEP(-5, 5)-STEP(-3, 5), 0
LINE STEP(0, 0)-STEP(3, 1), 0
CIRCLE STEP(1, 1), 3, 4, 4.71, 0



END SUB

SUB drums
CIRCLE (540, 250), 30, 14, , , .2
PAINT (540, 250), 15, 14
LINE (510, 250)-STEP(0, 30), 14
CIRCLE (540, 280), 30, 14, 3.14, 0, .2
LINE STEP(30, 0)-STEP(0, -30), 14
PAINT (540, 270), 4, 14
PAINT (540, 270), 7, 14
LINE (540, 287)-STEP(0, 50)
LINE STEP(0, 0)-STEP(-25, 20)
LINE STEP(50, 0)-STEP(-25, -20)

LINE (595, 330)-STEP(0, -100)
LINE STEP(-25, 0)-STEP(50, 0), 14
LINE STEP(0, 0)-STEP(-25, -10), 14
LINE STEP(0, 0)-STEP(-25, 10), 14
PAINT (595, 229), 14
LINE STEP(0, 0)-STEP(0, 101)
LINE STEP(0, 0)-STEP(-25, 20)
LINE STEP(50, 0)-STEP(-25, -20)

LINE (480, 230)-STEP(0, 100)
LINE STEP(0, 0)-STEP(-25, 20)
LINE STEP(50, 0)-STEP(-25, -20)
LINE STEP(0, 0)-STEP(0, -100)
LINE STEP(-25, 0)-STEP(50, 0), 14
LINE STEP(0, 0)-STEP(-25, -10), 14
LINE STEP(0, 0)-STEP(-25, 10), 14
PAINT (480, 229), 14, 14
LINE STEP(-25, 5)-STEP(50, 0), 14
LINE STEP(0, 0)-STEP(-25, 10), 14
LINE STEP(0, 0)-STEP(-25, -10), 14
PAINT (480, 236), 14, 14






END SUB

SUB harmonica

CIRCLE (385, 200), 20, 12
PAINT (385, 200), 12, 12
CIRCLE (380, 190), 2, 0
PAINT (380, 190), 0, 0
CIRCLE STEP(10, 0), 2, 0
PAINT (390, 190), 0, 0
LINE (385, 220)-STEP(0, 60), 2
LINE STEP(0, 0)-STEP(15, 0), 2
LINE STEP(-30, 0)-STEP(15, 0), 2
LINE STEP(15, 0)-STEP(0, 50), 2
LINE STEP(0, 0)-STEP(7, 0), 2
LINE STEP(-44, 0)-STEP(7, 0), 2
LINE STEP(0, 0)-STEP(0, -50), 2
LINE STEP(-5, -40)-STEP(40, 0), 2
LINE STEP(0, 0)-STEP(-10, -28), 2 'rem********************
LINE STEP(0, 0)-STEP(-2, -2), 2    'rem*******************
LINE STEP(12, 30)-STEP(-40, 0), 2
LINE STEP(0, 0)-STEP(10, -28), 2 ' rem*********************
LINE STEP(0, 0)-STEP(2, -2), 2    'rem*********************
LINE STEP(8, -15)-STEP(-5, 5), 0
LINE STEP(0, 0)-STEP(3, 2), 0

END SUB

SUB johnny

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL sticks
CALL armsright
CALL mouth
CALL leg

note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL nosticks
CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
CALL noleg
note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL sticks
CALL mouth1
CALL mouth2
CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
CALL leg
note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL nosticks
CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
CALL noleg
note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
CALL sticks
CALL leg

note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL nosticks
CALL mouth3
CALL mouth4
CALL blackleft
CALL armsright
CALL noleg


note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL sticks
CALL mouth5
CALL mouth
CALL blackarms
CALL armsleft
CALL leg
note$ = "b-"
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
CALL nosticks
CALL noleg
note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
     
CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks
CALL leg

note$ = "b-"
PLAY "l8 o3"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks
CALL noleg
note$ = "a"
PLAY "o3 l4"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
   
CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
CALL leg

note$ = "c"
PLAY "o4 l4"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
  
start! = TIMER
DO
LOOP UNTIL TIMER - start! > .5
       

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
     
CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks
CALL noleg
note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL noleg
     CALL nosticks
CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks
note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL noleg

note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL leg
note$ = "c"
PLAY "o4 l8"
PLAY note$


LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks
CALL noleg

note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL mouth5
CALL mouth
     CALL sticks
CALL blackarms
CALL armsleft
CALL leg
note$ = "b-"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
     
CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks

note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks

note$ = "b-"
PLAY "l8 o3"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
     
CALL blackleft
CALL armsright
CALL noleg
CALL mouth5
CALL mouth
     CALL nosticks
note$ = "a"
PLAY "o3 l4"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
note$ = "f"
PLAY "l4 o3"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

start! = TIMER
DO
LOOP UNTIL TIMER - start! > .5

CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks
CALL leg

note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL mouth5
CALL mouth
     CALL sticks
CALL blackarms
CALL armsleft
CALL noleg
note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks
CALL leg
note$ = "a-"
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks
CALL noleg
note$ = "b-"
PLAY "o3 l4"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks
CALL leg
note$ = "b-"
PLAY "l8 o3"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL noleg
CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
note$ = "a"
PLAY "l8 o3"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks


note$ = "b-"
PLAY "l8 o3"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
note$ = "a"
PLAY "l8 o3"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks
CALL noleg
note$ = "b-"
PLAY "l8 o3"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks

note$ = "a-"
PLAY "l4 o3"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL leg
CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks
note$ = "c"
PLAY "l4 o4"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

start! = TIMER
DO
LOOP UNTIL TIMER - start! > .5

CALL noleg
CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
note$ = "c"
PLAY "l8 o4"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL leg
CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks


note$ = "c"
PLAY "l8 o4"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL noleg
CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
note$ = "c"
PLAY "l8 o4"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks
note$ = "c"
PLAY "l8 o4"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks
CALL noleg
note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL mouth5
CALL mouth
     CALL nosticks
CALL blackleft
CALL armsright
CALL leg
note$ = "c"
PLAY "o4 l4"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL noleg
CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
note$ = "b-"
PLAY "o3 l8"
PLAY note$
         
LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks


note$ = "a"
PLAY "o3 l8"
PLAY note$
CALL leg
LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
note$ = "b-"
PLAY "l8 o3"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL noleg
CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks
note$ = "a"
PLAY "l8 o3"
PLAY note$
          
LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks

note$ = "f"
PLAY "l8 o3"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
     

CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks
note$ = "f"
PLAY "l4 o3"
PLAY note$

start! = TIMER
DO
LOOP UNTIL TIMER - start! > .5

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL noleg
CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
note$ = "c"
PLAY " o4 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks

note$ = "c"
PLAY " o4 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL noleg
CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks

note$ = "b-"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks

note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL leg
CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks

note$ = "b-"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL noleg
CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks


note$ = "b-"
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL mouth1
CALL mouth2
     CALL nosticks
CALL blackleft
CALL armsright
CALL noleg
note$ = "b-"
PLAY "o3 l4"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks

note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks
note$ = "c"
PLAY "l4 o4"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
note$ = "f"
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL noleg
CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks


note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
note$ = "b"
PLAY "o3 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks

note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL noleg
CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks

note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks
note$ = "c"
PLAY "o4 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
note$ = "c"
PLAY "o4 l4"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks


note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL noleg
CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
note$ = "b-"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks
CALL leg

note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks

note$ = "b-"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL noleg
CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks

note$ = "a"
PLAY "o3 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
note$ = "f"
PLAY "o3 l8"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks
CALL leg

note$ = "f"
PLAY "o3 l4"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
note$ = "c"
PLAY "l4 o4"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL noleg
CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks

note$ = "c"
PLAY "o4 l3"
PLAY note$

LINE (377, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
         
start! = TIMER
DO
LOOP UNTIL TIMER - start! > 1

FOR i% = 1 TO 4

CALL leg
CALL blackarms
CALL armsleft
CALL mouth3
CALL mouth4
     CALL sticks

        note$ = "c"
        PLAY "l4 o4"
        PLAY note$

        LINE (372, 210)-STEP(18, -6), 7, BF
        LINE STEP(0, 2)-STEP(-18, 0), 0
        LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks
CALL noleg
        note$ = "b-"
        PLAY "l8 o3"
        PLAY note$

        LINE (372, 210)-STEP(18, -6), 12, BF
        LINE STEP(0, 2)-STEP(-18, 0), 12
        LINE STEP(0, 2)-STEP(18, 0), 12

        LINE (379, 210)-STEP(18, -6), 7, BF
        LINE STEP(0, 2)-STEP(-18, 0), 0
        LINE STEP(0, 2)-STEP(18, 0), 0

CALL leg
CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
        note$ = "a"
        PLAY "l8 o3"
        PLAY note$

        LINE (379, 210)-STEP(18, -6), 12, BF
        LINE STEP(0, 2)-STEP(-18, 0), 12
        LINE STEP(0, 2)-STEP(18, 0), 12

        LINE (372, 210)-STEP(18, -6), 7, BF
        LINE STEP(0, 2)-STEP(-18, 0), 0
        LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks
        
CALL noleg
        note$ = "c"
        PLAY "l4 o4"
        PLAY note$

        LINE (372, 210)-STEP(18, -6), 12, BF
        LINE STEP(0, 2)-STEP(-18, 0), 12
        LINE STEP(0, 2)-STEP(18, 0), 12

        LINE (382, 210)-STEP(18, -6), 7, BF
        LINE STEP(0, 2)-STEP(-18, 0), 0
        LINE STEP(0, 2)-STEP(18, 0), 0
      
        start! = TIMER
        DO
        LOOP UNTIL TIMER - start! > .4
CALL leg
        
CALL blackarms
CALL armsleft
CALL mouth5
CALL mouth
     CALL sticks
        note$ = "c"
        PLAY "o4 l3"
        PLAY note$
       
        LINE (382, 210)-STEP(18, -6), 12, BF
        LINE STEP(0, 2)-STEP(-18, 0), 12
        LINE STEP(0, 2)-STEP(18, 0), 12

        LINE (375, 210)-STEP(18, -6), 7, BF
        LINE STEP(0, 2)-STEP(-18, 0), 0
        LINE STEP(0, 2)-STEP(18, 0), 0
     
        start! = TIMER
        DO
        LOOP UNTIL TIMER - start! > .5
       
        LINE (375, 210)-STEP(18, -6), 12, BF
        LINE STEP(0, 2)-STEP(-18, 0), 12
        LINE STEP(0, 2)-STEP(18, 0), 12

NEXT i%
       
start! = TIMER
DO
LOOP UNTIL TIMER - start! > .25

CALL noleg
CALL blackleft
CALL armsright
CALL mouth1
CALL mouth2
     CALL nosticks
note$ = "b-"
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0


CALL mouth3
CALL mouth4
     CALL sticks

note$ = "a"
CALL blackarms
CALL armsleft
PLAY "o3 l8"
PLAY note$

LINE (382, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (377, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL leg
CALL blackleft
CALL armsright
CALL mouth5
CALL mouth
     CALL nosticks

note$ = "f"
PLAY "o3 l8"
PLAY note$

LINE (372, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (379, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0

CALL blackarms
CALL armsleft
CALL mouth1
CALL mouth2
     CALL sticks
CALL noleg
note$ = "f"
PLAY "o3 l8"
PLAY note$

LINE (379, 210)-STEP(18, -6), 12, BF
LINE STEP(0, 2)-STEP(-18, 0), 12
LINE STEP(0, 2)-STEP(18, 0), 12

LINE (372, 210)-STEP(18, -6), 7, BF
LINE STEP(0, 2)-STEP(-18, 0), 0
LINE STEP(0, 2)-STEP(18, 0), 0
CALL leg
CALL blackleft
CALL armsright
CALL mouth3
CALL mouth4
     CALL nosticks

END SUB

SUB leg
LINE (32, 268)-STEP(-2, 2), 6
LINE STEP(0, 0)-STEP(15, 5), 6

LINE (32, 268)-STEP(-2, 2), 2
LINE STEP(0, 0)-STEP(15, 15), 2


END SUB

SUB man

y% = 400
x% = 15
FOR j% = 1 TO 2

FOR i% = 1 TO 10

        CIRCLE (x%, y%), 17, 12
        PAINT (x%, y%), 12
        LINE STEP(0, 17)-STEP(0, 50), 2
        LINE STEP(0, -40)-STEP(-15, 0), 2
        LINE STEP(0, 0)-STEP(30, 0), 2
        'LINE STEP(0, 0)-STEP(10, -10), 0
        'LINE STEP(-30, 0)-STEP(-10, 10), 0
        x% = x% + 65

NEXT i%
               y% = y% + 40
               x% = 48
NEXT j%

y% = 400
x% = 15
FOR j% = 1 TO 2

FOR i% = 1 TO 10

        CIRCLE (x%, y%), 17, 12
        PAINT (x%, y%), 12
        LINE STEP(0, 17)-STEP(0, 50), 2
        LINE STEP(0, -40)-STEP(-15, 0), 2
        LINE STEP(0, 0)-STEP(30, 0), 2
        LINE STEP(-25, -30)-STEP(5, 0), 0
        LINE STEP(10, 0)-STEP(5, 0), 0
        LINE STEP(-10, 0)-STEP(0, 5), 2
        CIRCLE STEP(0, 8), 5, 4, 3.14, 0
        x% = x% + 65

NEXT i%
               y% = y% + 40
               x% = 48
NEXT j%

END SUB

SUB mouth
CIRCLE (250, 200), 5, 4
END SUB

SUB mouth1
CIRCLE (250, 200), 5, 12

END SUB

SUB mouth2
CIRCLE (250, 200), 5, 4, , , 2
END SUB

SUB mouth3
CIRCLE (250, 200), 5, 12, , , 2
END SUB

SUB mouth4
CIRCLE (250, 200), 5, 4, , , .2
END SUB

SUB mouth5
CIRCLE (250, 200), 5, 12, , , .2
END SUB

SUB noleg
LINE (32, 268)-STEP(-2, 2), 6
LINE STEP(0, 0)-STEP(15, 15), 6

LINE (32, 268)-STEP(-2, 2), 2
LINE STEP(0, 0)-STEP(15, 5), 2

END SUB

SUB nosticks
LINE (525, 245)-STEP(10, 10), 15
LINE STEP(7, -5)-STEP(15, -5), 15
LINE (525, 245)-STEP(20, 0), 0
LINE STEP(-3, 8)-STEP(15, -8), 0

END SUB

SUB piano
LINE (135, 230)-STEP(170, 110), 8, B
LINE (136, 231)-STEP(168, 108), 7, BF
LINE (135, 285)-STEP(10, 10), 9
LINE STEP(0, 0)-STEP(170, 0), 9
LINE STEP(0, 0)-STEP(-10, -10), 9
LINE STEP(0, 0)-STEP(-170, 0), 9
PAINT (157, 287), 15, 9
LINE (135, 285)-STEP(10, 10), 8
LINE STEP(0, 0)-STEP(170, 0), 8
LINE STEP(0, 0)-STEP(-10, -10), 8
LINE STEP(0, 0)-STEP(-170, 0), 8

x% = 135
y% = 285

FOR i% = 1 TO 29

        LINE (x%, y%)-STEP(10, 10), 8
        x% = x% + 6

NEXT i%

x% = 140

FOR j% = 1 TO 4

        FOR i% = 1 TO 2

                LINE (x%, 285)-STEP(5, 5), 0
                x% = x% + 6

        NEXT i%

   x% = x% + 6

        FOR i% = 1 TO 3

                LINE (x%, 285)-STEP(5, 5), 0
                x% = x% + 6

        NEXT i%

   x% = x% + 6

NEXT j%

LINE (185, 275)-STEP(70, 0), 0
LINE STEP(-15, -5)-STEP(0, -25), 9
LINE STEP(-40, 0)-STEP(0, 25), 9
LINE STEP(20, 0)-STEP(0, -25), 9

CIRCLE (210, 245), 10, 9, 3.14, 0, .2
CIRCLE (210, 270), 10, 9, 3.14, 0, .2
CIRCLE (230, 245), 10, 9, 3.14, 0, .2
CIRCLE (230, 270), 10, 9, 3.14, 0, .2

PAINT (210, 256), 15, 9
PAINT (230, 256), 15, 9

LINE (135, 285)-STEP(10, 10), 8
LINE STEP(0, 0)-STEP(170, 10), 8, B
LINE STEP(0, 0)-STEP(-170, -10), 8, B
LINE STEP(0, 10)-STEP(-10, -10), 8
LINE STEP(10, 10)-STEP(161, 0), 8
LINE STEP(-1, -1)-STEP(9, -8), 7, BF

LINE STEP(1, 0)-STEP(0, 10), 8
LINE STEP(0, 0)-STEP(-10, 10), 8
LINE STEP(0, 0)-STEP(10, -10), 8
LINE STEP(0, -1)-STEP(-170, 0), 8
LINE STEP(0, 0)-STEP(-10, 10), 8
PAINT (310, 308), 7, 8

LINE (305, 230)-STEP(-15, -15), 8
LINE STEP(0, 0)-STEP(-170, 0), 8
LINE STEP(0, 0)-STEP(15, 15), 8
LINE STEP(-15, -15)-STEP(0, 110), 8
LINE STEP(0, 0)-STEP(15, 15), 8
PAINT (300, 228), 7, 8
PAINT (130, 230), 7, 8
PAINT (130, 320), 7, 8
PAINT (125, 320), 7, 8









END SUB

SUB singer
CIRCLE (250, 192), 17, 12
PAINT (250, 192), 12, 12
LINE STEP(0, 17)-STEP(-8, 10), 2
LINE STEP(0, 0)-STEP(-60, 0), 2
LINE STEP(0, 0)-STEP(-15, 20), 2
LINE STEP(0, 0)-STEP(-15, -20), 2
LINE STEP(0, 0)-STEP(-5, 2), 2
LINE STEP(5, -2)-STEP(15, 20), 2
LINE STEP(15, -20)-STEP(-25, 10), 2
LINE STEP(0, 0)-STEP(-5, -15), 2
LINE STEP(0, 0)-STEP(-5, 2), 2
LINE STEP(5, -2)-STEP(5, 15), 2
LINE STEP(25, -10)-STEP(-15, 20), 2
LINE STEP(15, -20)-STEP(60, 0), 2
LINE STEP(0, 0)-STEP(25, 10), 2
LINE STEP(0, 0)-STEP(-7, -23), 2
LINE STEP(0, 0)-STEP(5, -2), 2
LINE STEP(-5, 2)-STEP(7, 23), 2
LINE STEP(-25, -10)-STEP(-20, -20), 2
LINE STEP(0, 0)-STEP(-15, 20), 2
LINE STEP(0, 0)-STEP(-5, -3), 2
CIRCLE STEP(42, -30), 2, 0
CIRCLE STEP(10, 0), 2, 0
LINE STEP(-5, 3)-STEP(-3, 5), 0
LINE STEP(0, 0)-STEP(3, 1), 0








END SUB

SUB sticks
LINE (525, 245)-STEP(20, 0), 15
LINE STEP(-3, 8)-STEP(15, -8), 15

LINE (525, 245)-STEP(10, 10), 0
LINE STEP(7, -5)-STEP(15, -5), 0

END SUB

